> ## Documentation Index
> Fetch the complete documentation index at: https://docs.augustus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account holders

> Lists account holders for the merchant with cursor-based pagination.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/augustus/openapi.documented.yml get /v1/account_holders
openapi: 3.1.0
info:
  title: Augustus Banking API
  description: Augustus Banking API
  version: 0.1.0
  contact:
    name: Augustus
    url: https://docs.augustus.com
    email: developer@augustus.com
servers:
  - url: https://api.augustus.com
    description: Production
  - url: https://api.sandbox.augustus.com
    description: Sandbox
security:
  - BearerAuth: []
tags: []
paths:
  /v1/account_holders:
    get:
      tags:
        - Account Holders
      summary: List account holders
      description: Lists account holders for the merchant with cursor-based pagination.
      operationId: AccountHoldersController_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results per page (1-100). Defaults to 10.
          schema:
            minimum: 1
            maximum: 100
            default: 10
            type: integer
        - name: cursor
          required: false
          in: query
          description: Opaque cursor from a previous next_cursor.
          schema:
            type: string
      responses:
        '200':
          description: Paginated list of account holders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAccountHoldersResponseDto'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Augustus from '@augustusbank/typescript-sdk';


            const client = new Augustus({
              apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const accountHolderListResponse of
            client.accountHolders.list()) {
              console.log(accountHolderListResponse.id);
            }
components:
  schemas:
    ListAccountHoldersResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                description: Unique identifier of the account holder.
                type: string
                pattern: ^[0-9a-fA-F]{24}$
              type:
                description: Resource type discriminator.
                type: string
                enum:
                  - account_holder
              status:
                description: Current account holder status.
                type: string
                enum:
                  - pending
                  - active
                  - closed
              beneficiary_data:
                description: Beneficiary details used to create this account holder.
                anyOf:
                  - $ref: '#/components/schemas/UsBeneficiaryDataResponse'
                  - $ref: '#/components/schemas/NonUsBeneficiaryDataResponse'
              created_at:
                description: ISO 8601 UTC timestamp when the account holder was created.
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - id
              - type
              - status
              - beneficiary_data
              - created_at
            additionalProperties: false
        has_more:
          type: boolean
        next_cursor:
          type: string
          nullable: true
      required:
        - data
        - has_more
        - next_cursor
      additionalProperties: false
    UsBeneficiaryDataResponse:
      type: object
      properties:
        legal_name:
          description: Full legal name of the account holder.
          type: string
          minLength: 1
          maxLength: 255
        residential_address:
          description: Residential address of the account holder.
          anyOf:
            - $ref: '#/components/schemas/UsResidentialAddressResponse'
            - $ref: '#/components/schemas/NonUsResidentialAddressResponse'
        date_of_birth:
          description: Date of birth as an ISO 8601 calendar date (YYYY-MM-DD).
          type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        identification:
          description: >-
            Government-issued identification with type: "ssn" (Social Security
            Number, format ###-##-####) or "itin" (Individual Taxpayer ID,
            format 9##-##-####).
          anyOf:
            - $ref: '#/components/schemas/SsnIdentification'
            - $ref: '#/components/schemas/ItinIdentification'
        country_of_citizenship:
          description: ISO 3166-1 alpha-2 country code of citizenship.
          type: string
          enum:
            - US
      required:
        - legal_name
        - residential_address
        - date_of_birth
        - identification
        - country_of_citizenship
      additionalProperties: false
    NonUsBeneficiaryDataResponse:
      type: object
      properties:
        legal_name:
          description: Full legal name of the account holder.
          type: string
          minLength: 1
          maxLength: 255
        residential_address:
          description: Residential address of the account holder.
          anyOf:
            - $ref: '#/components/schemas/UsResidentialAddressResponse'
            - $ref: '#/components/schemas/NonUsResidentialAddressResponse'
        date_of_birth:
          description: Date of birth as an ISO 8601 calendar date (YYYY-MM-DD).
          type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        identification:
          $ref: '#/components/schemas/IdIdentification'
          description: >-
            Government-issued identification with type: "id" (generic
            government-issued ID).
        country_of_citizenship:
          $ref: '#/components/schemas/Alpha2CodeWithoutUs'
          description: ISO 3166-1 alpha-2 country code of citizenship.
      required:
        - legal_name
        - residential_address
        - date_of_birth
        - identification
        - country_of_citizenship
      additionalProperties: false
    UsResidentialAddressResponse:
      type: object
      properties:
        street_line_1:
          description: Primary street address.
          type: string
          minLength: 1
          maxLength: 255
        street_line_2:
          type: string
          maxLength: 255
          description: Secondary street address (apartment, suite, etc.).
          nullable: true
        city:
          description: City name.
          type: string
          minLength: 1
          maxLength: 255
        state:
          description: Two-letter state code.
          type: string
          minLength: 2
          maxLength: 2
        postal_code:
          description: Postal or ZIP code.
          type: string
          minLength: 1
          maxLength: 30
        country:
          description: ISO 3166-1 alpha-2 country code.
          type: string
          enum:
            - US
      required:
        - street_line_1
        - street_line_2
        - city
        - state
        - postal_code
        - country
      additionalProperties: false
    NonUsResidentialAddressResponse:
      type: object
      properties:
        street_line_1:
          description: Primary street address.
          type: string
          minLength: 1
          maxLength: 255
        street_line_2:
          type: string
          maxLength: 255
          description: Secondary street address (apartment, suite, etc.).
          nullable: true
        city:
          description: City name.
          type: string
          minLength: 1
          maxLength: 255
        postal_code:
          description: Postal or ZIP code.
          type: string
          minLength: 1
          maxLength: 30
        country:
          $ref: '#/components/schemas/Alpha2CodeWithoutUs'
          description: ISO 3166-1 alpha-2 country code.
      required:
        - street_line_1
        - street_line_2
        - city
        - postal_code
        - country
      additionalProperties: false
    SsnIdentification:
      type: object
      properties:
        type:
          type: string
          enum:
            - ssn
        value:
          type: string
          pattern: ^\d{3}-\d{2}-\d{4}$
      required:
        - type
        - value
      additionalProperties: false
    ItinIdentification:
      type: object
      properties:
        type:
          type: string
          enum:
            - itin
        value:
          type: string
          pattern: ^9\d{2}-\d{2}-\d{4}$
      required:
        - type
        - value
      additionalProperties: false
    IdIdentification:
      type: object
      properties:
        type:
          type: string
          enum:
            - id
        value:
          type: string
          minLength: 1
      required:
        - type
        - value
      additionalProperties: false
    Alpha2CodeWithoutUs:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - KH
        - CM
        - CA
        - CV
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IL
        - IT
        - JM
        - JP
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - MK
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - SH
        - KN
        - LC
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - SC
        - SL
        - SG
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SZ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - BQ
        - CW
        - GG
        - IM
        - JE
        - ME
        - BL
        - MF
        - RS
        - SX
        - SS
        - XK
  securitySchemes:
    BearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Bearer token for authentication with Augustus Banking API

````